Package wx :: Module aui :: Class AuiMDIChildFrame

[frames | no frames]

## Type AuiMDIChildFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            AuiMDIChildFrame

Proxy of C++ AuiMDIChildFrame class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
| `Activate(self)`
| `ApplyMDIChildFrameRect(self)`
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
| `DoSetSizeHints(self, minW, minH, maxW, maxH, incW, incH)`
| `DoShow(self, show)`
Icon | `GetIcon(self)`
wxIconBundle | `GetIcons(self)`
AuiMDIParentFrame | `GetMDIParentFrame(self)`
MenuBar | `GetMenuBar(self)`
String | `GetTitle(self)`
| `Iconize(self, iconize)`
bool | `IsFullScreen(self)`
bool | `IsIconized(self)`
bool | `IsMaximized(self)`
| `Maximize(self, maximize)`
| `OnActivate(self, evt)`
| `OnCloseWindow(self, evt)`
| `OnMenuHighlight(self, evt)`
| `Restore(self)`
| `SetIcon(self, icon)`
| `SetIcons(self, icons)`
| `SetMDIParentFrame(self, parent)`
| `SetMenuBar(self, menu_bar)`
| `SetTitle(self, title)`
bool | `ShowFullScreen(self, show, style)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, winid, title, pos=DefaultPosition, size=DefaultSize, style=DEFAULT_FRAME_STYLE, name=wxFrameNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.Panel.__init__` (inherited documentation)

### Create(self, parent, winid, title, pos=DefaultPosition, size=DefaultSize, style=DEFAULT_FRAME_STYLE, name=wxFrameNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Panel.Create` (inherited documentation)

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1216195948(...)
  Set Method:
    unknown--1216195892(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:37 2007 | http://epydoc.sf.net